Package twisted :: Package protocols :: Module policies

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.policies

Resource limiting policies.

Classes
`LimitConnectionsByPeer` | Stability: Unstable
`LimitConnectionsByPeerProtocol` | Stability: Unstable
`ProtocolWrapper` | Wraps protocol instances and acts as their transport as well.
`SpewingFactory` |
`SpewingProtocol` |
`ThrottlingFactory` | Throttles bandwidth and number of connections.
`ThrottlingProtocol` | Protocol for ThrottlingFactory.
`TimeoutFactory` | Factory for TimeoutWrapper.
`TimeoutProtocol` | Protocol that automatically disconnects when the connection is idle.
`WrappingFactory` | Wraps a factory and its protocols, and keeps track of them.

Variable Summary
`MetaInterface` | `ITransport`
`SelectReactor` | `reactor`

Variable Details

### ITransport

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.ITransport'>

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:18:53 2003 | http://epydoc.sf.net